// RelativeLayers 0.9.7
// 
// $Id: rl_browser.js 1.9 04/02/02 21:22:32+01:00 gbevin@willow.uwyn.office $
// 
// Library for creating dynamic designs that adapt themselves to the user's
// browser environment.
// 
// Copyright (C) 1998-2004, Geert Bevin
// Distributed under the terms of the GNU Lesser General Public, v2.1 or later
// 
// gbevin[remove] at uwyn dot com
// http://www.uwyn.com/projects/relativelayers

var rl = 0;

var ie = 0;
var ns = 0;
var mz = 0;
var kq = 0;
var op = 0;

var glb_version;
var glb_platform;

detectBrowser();

if (!mz && !ns && !ie && !op && !kq)
{
	unsupportedBrowser();
}
else
{
	rl = 1;
}

function detectBrowser()
{
	var var_useragent = navigator.userAgent.toLowerCase();
	glb_version = parseInt(navigator.appVersion);
	if (var_useragent.indexOf("win") > -1)
	{
		glb_platform = "win";
	}
	else if (var_useragent.indexOf("mac") > -1)
	{
		glb_platform = "mac";
	}
	else if (var_useragent.indexOf("linux") > -1)
	{
		glb_platform = "linux";
	}
	else
	{
		glb_platform = "other";
	}

	// detecting konqueror
	if ((var_useragent.indexOf("konqueror") != -1 ||
		 var_useragent.indexOf("safari") != -1) &&
		document.getElementById &&
		document.getElementsByTagName &&
		document.childNodes &&
		document.nodeName)
	{
		kq = 1;
		return;
	}

	//detecting opera
	if ((var_useragent.indexOf("opera") != -1 ||
		 var_useragent.indexOf("Opera") != -1) && // bugfix for opera 6.0
		document.getElementById)
	{
		op = 1;
		return;
	}

	// detecting internet explorer
/*@cc_on
@if (@_jscript)	

	if (!(glb_platform == "mac" && navigator.appVersion.indexOf("MSIE 4") > -1) &&
	   var_useragent.indexOf("msie") != -1 &&
	   document.all)
	{
		ie = 1;
	}

	return;

@end @*/

	if (var_useragent.indexOf("mozilla") != -1 &&
		glb_version >= 4)
	{
		// detecting mozilla
		if (document.getElementById &&
			document.getElementsByTagName &&
			document.childNodes &&
			document.hasAttributes &&
			document.nodeName)
		{
			mz = 1;
			return;
		}
		// detecting netscape
		else if (glb_version < 5)
		{
			ns = 1;
			return;
		}
	}
};
